#	tclgrowl - Tcl wrapper for Growl on MacOS X
#
#	Tclgrowl Copyright (c) 2009 Steve Landers
#	Macgrowl Copyright (c) 2008 WordTech Communications LLC
#	both licensed under the Tcl license
#		http://www.tcl.tk/software/tcltk/license.html
#    
#       gntp-send (c) 2011, 2012 by Yasuhiro Matsumoto <mattn.jp@gmail.com>
#       licensed under BSD license; wrapped via SWIG
#
#	Growl available at http://growl.info
#

package provide tclgrowl 1.2

namespace eval growl {


    if {![info exists library]} {
	variable library [file dirname [info script]]
    }


    load [file join $library growl.dylib]
    
    variable iconpath

    #set app icon
    proc growlicon {filename} {
	
	variable iconpath

	set iconpath $filename
	return $iconpath
	
    }
    

    # check to see if growl is running 
    proc available {} {

	return [expr [isGrowlRunning] eq "1"]
    }

    proc message {app title msg} {
	
	variable iconpath
	growl_tcp_register "localhost" $app "$app Notification" 1 {} $iconpath
	growl "localhost"  $app "$app Notification"  $title $msg $iconpath {} {}   
	
    }

    proc demo {} {

	variable iconpath
	variable library
	growlicon [file join $library pwrdLogo150.gif]

	if [available] {

	    message TclGrowl "TclGrowl Demo" "This is a demo of the TclGrowl package"
	}

    }


    namespace export *

}
